Subject: RE: NATIONAL CHARACTERS IN b18
From: [email-masked] (Sergey Okhapkin)

19 May 1997 13:21:51 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>
Original-Cc: "[email-masked]" <[email-masked]>
Encoding: 33 TEXT
Original-Sender: [email-masked]

Tage Westlund wrote:
> In the mailing list I read that b18 was to be released 
> and I was happy. Now is time to widen the experience, 
> to import the source, not only the binaries!
> But, recently I have found that swedish, danish and 
> german users have complained about the national charac-
> ters, typed by using the Alt Gr shift key. They simply
> do not work, they say.
> Do we have to wait for a soon coming b18.1 version or
> for a small national characters' patch?

Here is a fragment of winsup/console.cc:

    else /* keep it */                                             
      {                                                            
        if (input_rec.Event.KeyEvent.dwControlKeyState &           
>                        (LEFT_ALT_PRESSED | RIGHT_ALT_PRESSED))    
          {                                                        
            char tmp[2];                                           
            tmp[0] = tolower(input_rec.Event.KeyEvent.AsciiChar);  
            tmp[1] = 0;                                            
            buf[copied_chars++] = '\033';                          
            undo_input(hndl, tmp);                                 
          }                                                        
        else                                                       

Modify marked line according to your needs.

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".